> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-1d264819.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# キーを削除

> API keyを削除します。削除できるのは、現在のリクエストの認証に使用されていないkeyのみです。



## OpenAPI

````yaml /ja/products/cloud/api-reference/cloud-openapi.json delete /v1/organizations/{organizationId}/keys/{keyId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/keys/{keyId}:
    delete:
      tags:
        - OpenAPI
      summary: キーを削除
      description: API keyを削除します。削除できるのは、現在のリクエストの認証に使用されていないkeyのみです。
      parameters:
        - description: そのkeyを所有する組織のID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 削除するkeyのID。
          in: path
          name: keyId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意のID。UUIDv4
                    format: uuid
                    type: string
                  status:
                    description: HTTPステータスコード。
                    example: 200
                    type: number
                type: object
          description: 成功時のレスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 詳細なエラーの説明。
                    type: string
                  status:
                    description: HTTPステータスコード。
                    example: 400
                    type: number
                type: object
          description: サーバーは、クライアントエラーとみなされる何らかの理由により、リクエストを処理できないか、処理しません。
components:
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud コンソールで取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````